Shopify
Customers
GET
Retrieve Shopify customers with email marketing consent and aggregated order info
ClientIdAuthClientSecretAuthheader
x-client-id<token>Client ID
header
x-client-secret<token>Client secret
organizationId*stringOrganization identifier (required)
integrationId?stringShopify integration identifier
integrationName?stringShopify integration name
id?stringFilter by customer ID
page?integerPage number (default 1)
Default
1limit?integerItems per page (default 500, max 5000)
Range
value <= 5000Default
500createdStart?stringFilter by creation date start (ISO 8601)
Format
date-timecreatedEnd?stringFilter by creation date end (ISO 8601)
Format
date-timelastModifiedStart?stringFilter by last update date start
Format
date-timelastModifiedEnd?stringFilter by last update date end
Format
date-timeShopify customers response
application/json- response
data?array<>meta?curl -X GET "https://example.com/v1/shopify/customers?organizationId=org_123"{ "data": [ { "id": "string", "email": "user@example.com", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "number_of_orders": 0, "state": "string", "verified_email": true, "tax_exempt": true, "email_marketing_consent_marketing_state": "string", "email_marketing_consent_marketing_opt_in_level": "string", "email_marketing_consent_consent_updated_at": "2019-08-24T14:15:22Z", "integration_id": "string", "organization_id": "string", "document_id": "string", "integration_name": "string", "inserted_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": 0, "limit": 0, "hasNextPage": true, "hasPreviousPage": true }}